%define name      openbox
%define version   3.5.0
%define release   %mkrel 9
%define title     Openbox
%define Summary   Windowmanager based on the original blackbox-code

%define rendermajor 27
%define libobrender %mklibname obrender %rendermajor
%define obtmajor 0
%define libobt %mklibname obt %obtmajor
%define develname %mklibname -d %name

Summary:          %Summary
Name:             %name
Version:          %version
Release:          %release
Group:            Graphical desktop/Other
License:          BSD
URL:              http://openbox.org/
Source0:           http://openbox.org/dist/openbox/%name-%version.tar.gz
# oxygen-theme here:
# http://box-look.org/content/show.php?content=145240
Source1:	  http://box-look.org/CONTENT/content-files/145240-Oxynew.obt
# run gnome-screenshot when hitting printscreen
Patch0:           01_rc.xml.dpatch
Patch2:		  openbox-default-theme.patch
Patch3:		  openbox-3.5.0-link.patch
BuildRequires:	pkgconfig(glib-2.0) >= 2.14.0
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(libstartup-notification-1.0) >= 0.8
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires:	pkgconfig(pango) >= 1.8.0
BuildRequires:	pkgconfig(pangoxft) >= 1.8.0
BuildRequires:	pkgconfig(xcursor)
BuildRequires:  libxext-devel
BuildRequires:  libxrandr-devel
BuildRequires:  libxinerama-devel
BuildRequires:  libx11-devel
BuildRequires:	libsm-devel
BuildRequires:	libice-devel
BuildRequires:	libxau-devel
BuildRequires:	libxft-devel
BuildRequires:   gettext-devel
Requires:        xsetroot
Suggests:	obconf

%description
Openbox is a window manager for the X11 windowing system.
It currently runs on a large list of platforms. It was originally
based on blackbox and currently remains very similar, even using
blackbox styles (with available extensions) for its themeing.

Openbox is the spawn of a number of previous blackbox users/hackers.
Being overall pleased with the window manager, but feeling left unable
to contribute, this project was born.The Openbox project is developed,
maintained, and contributed to by these individuals.

%package -n %libobt
Summary: Libraries from openbox
Group: System/Libraries

%description -n %libobt
Openbox is a window manager for the X11 windowing system.
It currently runs on a large list of platforms. It was originally
based on blackbox and currently remains very similar, even using
blackbox styles (with available extensions) for its themeing.

Openbox is the spawn of a number of previous blackbox users/hackers.
Being overall pleased with the window manager, but feeling left unable
to contribute, this project was born.The Openbox project is developed,
maintained, and contributed to by these individuals.

%package -n %libobrender
Summary: Libraries from openbox
Group: System/Libraries

%description -n %libobrender
Openbox is a window manager for the X11 windowing system.
It currently runs on a large list of platforms. It was originally
based on blackbox and currently remains very similar, even using
blackbox styles (with available extensions) for its themeing.

Openbox is the spawn of a number of previous blackbox users/hackers.
Being overall pleased with the window manager, but feeling left unable
to contribute, this project was born.The Openbox project is developed,
maintained, and contributed to by these individuals.

%package -n %develname
Summary: Development files from openbox
Group: Development/Other
Requires: %libobt = %version-%release
Requires: %libobrender = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %mklibname -d openbox 1

%description -n %develname
Openbox is a window manager for the X11 windowing system.
It currently runs on a large list of platforms. It was originally
based on blackbox and currently remains very similar, even using
blackbox styles (with available extensions) for its themeing.

Openbox is the spawn of a number of previous blackbox users/hackers.
Being overall pleased with the window manager, but feeling left unable
to contribute, this project was born.The Openbox project is developed,
maintained, and contributed to by these individuals.

%prep
%setup -q -a1
%patch0 -p0
%patch2 -p0
%patch3 -p0

%build
autoreconf -fi
%configure2_5x --disable-static
%make DEFAULT_MENU=%_sysconfdir/xdg/openbox/menu.xml

%install
%makeinstall_std

mkdir -p %buildroot%_datadir/themes/oxygen/openbox-3/
install -m 0644 Oxynew/openbox-3/*.xbm Oxynew/openbox-3/themerc  %buildroot%_datadir/themes/oxygen/openbox-3/

# session file
%__mkdir -p %buildroot%_sysconfdir/X11/wmsession.d
%__cat > %buildroot%_sysconfdir/X11/wmsession.d/26openbox << EOF
NAME=Openbox
ICON=%_datadir/pixmaps/openbox.png
EXEC=%_bindir/startopenbox
DESC=%Summary
SCRIPT:
exec %_bindir/startopenbox
EOF

%__mkdir -p %buildroot%_bindir
cat > %buildroot%_bindir/start%name <<EOF
#!/bin/sh
%_bindir/xsetroot -solid Black
exec %_bindir/openbox-session
EOF
chmod 0755 %buildroot%_bindir/start%name

%find_lang %name

find %buildroot -name *.la | xargs rm
# drop xsession files per bug#3653
rm -fr %{buildroot}%{_datadir}/xsessions

%files -f %name.lang
%doc AUTHORS CHANGELOG README
%_bindir/*

#%config(noreplace) %_sysconfdir/menu-methods/%name
%config(noreplace) %_sysconfdir/X11/wmsession.d/26%name

%dir %_sysconfdir/xdg/%name
%config(noreplace) %_sysconfdir/xdg/%name/*
%_libexecdir/openbox-autostart
%_libexecdir/openbox-xdg-autostart
%{_datadir}/man/man1/*
%_datadir/gnome/wm-properties/openbox.desktop
%_datadir/applications/*.desktop
%_datadir/pixmaps/*
%_datadir/themes/*

%files -n %libobt
%_libdir/libobt.so.%{obtmajor}
%_libdir/libobt.so.%{obtmajor}.*

%files -n %libobrender
%_libdir/libobrender.so.%{rendermajor}
%_libdir/libobrender.so.%{rendermajor}.*

%files -n %develname
%_libdir/pkgconfig/*.pc
%_libdir/*.so
%_includedir/%name


%changelog

* Sat Feb 16 2013 fwang <fwang> 3.5.0-9.mga3
+ Revision: 398759
- update dir
- fix dir
- upload new theme
- swtich to more modern oxygen theme

* Sun Jan 13 2013 umeabot <umeabot> 3.5.0-8.mga3
+ Revision: 361910
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 25 2012 obgr_seneca <obgr_seneca> 3.5.0-7.mga2
+ Revision: 233281
- fixed permissions of startopenbox script
- fixing bug #5515

* Mon Mar 05 2012 obgr_seneca <obgr_seneca> 3.5.0-6.mga2
+ Revision: 219092
- fixed file permissions on openbox oxygen theme

* Thu Dec 08 2011 fwang <fwang> 3.5.0-5.mga2
+ Revision: 178796
- drop xsessions files from package (bug#3653)
- suggests obconf now :)
- revert previous patch overwritten
- remove xlibs from pkgconfig files
- disable obconf suggests as it does not like openbox 3.5
- new version 3.5.0
- default to oxygen theme

* Tue May 03 2011 pterjan <pterjan> 3.4.11.2-5.mga1
+ Revision: 94423
- Add upstream 24 bit support (#946)

* Wed Jan 26 2011 ahmad <ahmad> 3.4.11.2-4.mga1
+ Revision: 41416
- drop old/unneeded scriptles
- imported package openbox

